#ifndef __BASIC_SHADER_H__
#define __BASIC_SHADER_H__

#include "shader_api.h"
#include "matrix44.h"

typedef struct {
   IMPLEMENTS_SHADER_PROGRAM_API
   unsigned vbo;
   unsigned texture;
   void *av3vertex;
   mat44 *um44mvp;
   void *av3normal;
   void *av2texture;
   mat44 *um44mv;
   float *uv3light;
   float *uv4color;
   float bias;
   unsigned count;
}
basic_shader_t;

extern basic_shader_t basic_shader;


#endif /* __BASIC_SHADER_H__ */