
#include "geom_list.h"

geom_list *create_geom_list(void)
{
   vec4 v  = {1,1,1,1};
   vec4 at = {0,0,0,1};
   geom_list* g = (geom_list*)calloc(1,sizeof(geom_list));

   if (!g)
      return 0;

   /* Default light... */
   g->light.La = v;
   g->light.Ld = v;
   g->light.Ls = v;
   g->light.Lp = at;

   return g;
}
void geom_list_free(geom_list *g)
{
   if (!g)
      return;

   if (g->array)
      free(g->array);
   if (g->part)
      free(g->part);

   free(g);
}