#ifndef __RECORDER_CONTROLS_H__
#define __RECORDER_CONTROLS_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "ui_element.h"

typedef struct recorder_controls recorder_controls;
struct recorder_controls {
   #define IMPLEMENTS_RECORDER_CONTROLS \
   IMPLEMENTS_UI_ELEMENT \
   AND_UI_CONTAINER \
   AND_UI_BALLOON \
   void (*pause)(recorder_controls *r); \
   void (*resume)(recorder_controls *r);
   IMPLEMENTS_RECORDER_CONTROLS
};

recorder_controls *create_recorder_controls(const char *id);

#ifdef __cplusplus
}
#endif

#endif /* __RECORDER_CONTROLS_H__ */
