#ifndef __LINE_SHADER_H__
#define __LINE_SHADER_H__

#include "shader_api.h"
#include "matrix44.h"

typedef struct {
   IMPLEMENTS_SHADER_PROGRAM_API
   unsigned    vbo;
   void        *av3vertex;
   void        *av4color;
   mat44       *um44mvp;
   float       *uv4color;
   unsigned    count;
   unsigned    loop;
   unsigned    depth_mask;
   float       line_width;
}
line_shader_t;

extern line_shader_t line_shader;


#endif /* __LINE_SHADER_H__ */