#ifndef __MODEL_SHADER_NICE_H__
#define __MODEL_SHADER_NICE_H__

#include "shader_api.h"
#include "geom_list.h"
#include "matrix44.h"

typedef struct {
   IMPLEMENTS_SHADER_PROGRAM_API
   unsigned vbo;
   mat44 *um44mvp;
   mat44 *um44mv;
   geom_list *list;
}
model_shader_nice_t;

extern model_shader_nice_t model_shader_nice;


#endif /* __MODEL_SHADER_NICE_H__ */