#ifndef __OBJ_MODEL__
#define __OBJ_MODEL__

#ifdef __cplusplus
extern "C" {
#endif

#include "types.h"
#include "geom_list.h"

#define OBJ_MODEL_LIB 		"./data/models/"
typedef void* 					obj_model;

geom_list *obj_model_to_geom_list(obj_model model);

/* OBJ model functions... */
obj_model obj_model_get(char* name,float scale);
void obj_model_get_bounds(obj_model model, float* x_min,float* y_min,float* z_min,
                                        float* x_max,float* y_max,float* z_max);
void obj_model_draw(obj_model model);
void obj_model_delete(obj_model model);





#ifdef __cplusplus
}
#endif

#endif