#ifndef __PLANCK_FUNCTIONS_H__
#define __PLANCK_FUNCTIONS_H__

#ifdef __cplusplus
extern "C" {
#endif

typedef struct planck_object planck_object;
struct planck_object {

   #define IMPLEMENTS_PLANCK_OBJECT \
   void (*update)(planck_object *obj,double system_time, double frame_dt);\
   void (*get_path)(planck_object *obj, float **vtx, float **clr, unsigned *cnt);\
   void (*erase)(planck_object *obj);\
   double x;\
   double y;\
   double z;

   IMPLEMENTS_PLANCK_OBJECT
};

planck_object *create_planck_object(unsigned trace_fade);


#ifdef __cplusplus
}
#endif

#endif /* __PLANCK_FUNCTIONS_H__ */

