#ifndef __SIMPLE_SHADER_H__
#define __SIMPLE_SHADER_H__

#include "shader_api.h"
#include "matrix44.h"

typedef struct {
   IMPLEMENTS_SHADER_PROGRAM_API
   unsigned    vbo;
   unsigned    texture;
   void        *av3vertex;
   mat44       *um44mvp;
   void        *av2texture;
   float       *uv4color;
   unsigned    count;
   unsigned    cull_face;
}
simple_shader_t;

extern simple_shader_t simple_shader;


#endif /* __SIMPLE_SHADER_H__ */