#ifdef __cplusplus
extern "C" {
#endif
#include "renderer_api.h"

#include "std_decor.h"

ui_decor std_static_decor;
ui_decor std_icon_decor;
ui_decor std_rb_decor;
ui_decor std_gb_decor;
ui_decor std_gr_decor;
ui_decor std_bl_decor;
ui_decor std_gr_gn_decor;
ui_decor std_bl_gn_decor;
ui_decor std_sl_decor;

void std_decor_initialize(void)
{
   ui_decor std_decor;

   decor_all_colors(&std_decor,.7,.7,.7,1);
   decor_all_textures(&std_decor,0);
   std_static_decor = std_decor;

   std_decor.look  = material_is(.5,.5,.5,1,0);
   std_decor.hover = material_is(.7,.7, 1,1,0);
   std_icon_decor  = std_decor;

   std_decor.look = material_is(.3,.3,.3,1,0);

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/button.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/button_down.png");
   std_rb_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/button2.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/button2_down.png");
   std_gb_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/gr_button.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/gr_button_down.png");
   std_gr_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/bl_button.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/bl_button_down.png");
   std_bl_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/button2.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/gr_button_down.png");
   std_gr_gn_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/bl_button.png"));
   std_decor.use.tex = renderer_register_texture_file(
      "./data/images/misc/gr_button_down.png");
   std_bl_gn_decor = std_decor;

   decor_all_textures(&std_decor,renderer_register_texture_file(
      "./data/images/misc/slider_1.png"));
   std_sl_decor = std_decor;
}

#ifdef __cplusplus
}
#endif