#ifndef __TYPES_H__
#define __TYPES_H__

#ifndef DEG
	#define DEG(x) \
	   ((x) * 57.295779513082320876798154814105)
#endif

#ifndef RAD
	#define RAD(x) \
	   ((x) * 0.01745329251994329576923690768489)
#endif

#define ENUM_T  unsigned int
#define BYTE_T	 unsigned char
#define INT_T   int
#define UINT_T  unsigned int
#define FLOAT_T float

typedef struct { UINT_T w, h, bpp; BYTE_T *data; } 	BITMAP_T;
typedef struct { FLOAT_T x, y; } 							COORD_2D_T;
typedef struct { FLOAT_T x, y, z; } 					   COORD_3D_T;
typedef struct { FLOAT_T x, y, h, w; } 					AREA_2D_T;
typedef struct { FLOAT_T r, g, b, a; UINT_T tex;}     SIMPLE_MAT_T;


#endif