#ifndef __UI_2D_SHADER_H__
#define __UI_2D_SHADER_H__

#include "shader_api.h"
#include "matrix44.h"

typedef struct {
   IMPLEMENTS_SHADER_PROGRAM_API
   unsigned    vbo;
   unsigned    texture;
   void        *av2vertex;
   mat44       *um44mvp;
   void        *av2texture;
   float       *uv4color;
   unsigned    count;
   unsigned    cull_face;
   unsigned    depth_test;
}
ui_2d_shader_t;

extern ui_2d_shader_t ui_2d_shader;


#endif /* __UI_2D_SHADER_H__ */